<?php

$library = "/Users/branko/Documents/library";
$pathToDoctrineModels = '/Applications/MAMP/htdocs/doctrine/application/default/models/';

set_include_path('.' . PATH_SEPARATOR . $library . PATH_SEPARATOR . $library . '/Doctrine' . PATH_SEPARATOR . '../application/default/models/' . PATH_SEPARATOR . '../application/default/models/generated' . PATH_SEPARATOR . get_include_path());

require_once 'Initializer.php';
require_once "Zend/Loader.php";

// Set up autoload.
Zend_Loader::registerAutoload();

// Autoload Doctrine ORM
require_once('Doctrine.php');
spl_autoload_register(array('Doctrine', 'autoload'));


// Now let's set the Doctrine connection
// At this point no actual connection to the database is created
$conn = Doctrine_Manager::connection('mysql://developer:developer@localhost/doctrine');											

/**
 * Handles data integrity... $conn->setAttribute(Doctrine::ATTR_VALIDATE, ...
 * 

	VALIDATE_NONE			Turns off the whole validation procedure. 
	VALIDATE_LENGTHS 		Makes Doctrine validate all field lengths. 
	VALIDATE_TYPES 			Makes Doctrine validate all field types. Doctrine does loose type validation. 
							This means that for example string with value '13.3' will not pass as an integer but '13' will. 
	VALIDATE_CONSTRAINTS	Makes Doctrine validate all field constraints such as notnull, email etc. 
	VALIDATE_ALL 			Turns on all validations. 

 */												
$conn->setAttribute(Doctrine::ATTR_VALIDATE, Doctrine::VALIDATE_ALL);

/*
	Inorder for accessor overriding to workpro perly you must enable 
	the auto_accessor_override attribute
 */
$conn->setAttribute(Doctrine::ATTR_AUTO_ACCESSOR_OVERRIDE, true);


/*
	In order for customDoctrine_Table classes to be loaded you must enable the 
	autoload_table_classes attribute 
 */
$conn->setAttribute(Doctrine::ATTR_AUTOLOAD_TABLE_CLASSES, true);


//Doctrine::generateModelsFromDb($pathToDoctrineModels, array('doctrine'), array('generateTableClasses' => true));

												
Zend_Registry::set('conn', $conn);		

 
// Prepare the front controller. 
$frontController = Zend_Controller_Front::getInstance(); 

// Change to 'production' parameter under production environemtn
$frontController->registerPlugin(new Initializer('development'));    

// Dispatch the request using the front controller. 
$frontController->dispatch(); 
?>

